低危 GNU Bash安全绕过漏洞

CVE编号

CVE-2016-9401

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-01-24 10:59:00
漏洞描述
GNU Bash是美国软件开发者布莱恩-福克斯(Brian J. Fox)为GNU计划而编写的一个Shell(命令语言解释器),它运行于类Unix操作系统中(Linux系统的默认Shell),并能够从标准输入设备或文件中读取、执行命令,同时也结合了一部分ksh和csh的特点。
GNU Bash存在安全绕过漏洞,攻击者可利用该漏洞绕过安全限制,执行未授权操作。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:
http://www.gnu.org/software/bash/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu bash * Up to
(excluding)
4.4
运行在以下环境
应用 gnu bash 4.4 patch1 -
运行在以下环境
应用 gnu bash 4.4 patch2 -
运行在以下环境
应用 gnu bash 4.4 patch3 -
运行在以下环境
应用 gnu bash 4.4 patch4 -
运行在以下环境
应用 gnu bash 4.4 patch5 -
2
运行在以下环境
系统 alpine_3.2 bash * Up to
(excluding)
4.3.33-r2
3
运行在以下环境
系统 ubuntu_21.04 bash * Up to
(excluding)
4.4-5ubuntu1
4
运行在以下环境
系统 ubuntu_20.04 bash * Up to
(excluding)
4.4-5ubuntu1
5
运行在以下环境
系统 ubuntu_18.04 bash * Up to
(excluding)
4.4-5ubuntu1
6
运行在以下环境
系统 ubuntu_16.04 bash * Up to
(excluding)
4.3-14ubuntu1.2
7
运行在以下环境
系统 ubuntu_14.04 bash * Up to
(excluding)
4.3-7ubuntu1.7
8
运行在以下环境
系统 suse_12_SP2 bash * Up to
(excluding)
6.3-82.1
9
运行在以下环境
系统 suse_12_SP2 bash * Up to
(excluding)
6.3-82.1
10
运行在以下环境
系统 suse_11_SP4 bash * Up to
(excluding)
5.2-147.35.1
11
运行在以下环境
系统 opensuse_Leap_42.2 bash * Up to
(excluding)
4.3-80.3.1
12
运行在以下环境
系统 debian_8 bash * Up to
(excluding)
4.3-11+deb8u2
13
运行在以下环境
系统 alpine_3.3 bash * Up to
(excluding)
4.3.42-r5
14
运行在以下环境
系统 alpine_3.4 bash * Up to
(excluding)
4.3.42-r5
15
运行在以下环境
系统 alpine_3.5 bash * Up to
(excluding)
4.3.46-r5
16
运行在以下环境
系统 amazon_AMI bash * Up to
(excluding)
4.2.46-28.37.amzn1
17
运行在以下环境
系统 oracle_6 bash * Up to
(excluding)
4.1.2-48.el6
18
运行在以下环境
系统 oracle_7 bash * Up to
(excluding)
4.2.46-28.el7
19
运行在以下环境
系统 suse_12_SP2 bash * Up to
(excluding)
4.3-82.1
20
运行在以下环境
系统 suse_11_SP4 bash * Up to
(excluding)
5.2-147.35.1
21
运行在以下环境
系统 opensuse_Leap_42.2 bash * Up to
(excluding)
6.3-80.3.1
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况